# Generated by Django 3.2 on 2025-05-04 21:47
import json
import drf_authentify.models
import drf_authentify.validators
from django.db import migrations, models


def copy_data(apps, schema_editor):
    AuthToken = apps.get_model("drf_authentify", "AuthToken")
    for obj in AuthToken.objects.all():
        obj.context = json.loads(obj._context) if obj._context else {}
        obj.save()


def reverse_copy_data(apps, schema_editor):
    AuthToken = apps.get_model("drf_authentify", "AuthToken")
    for obj in AuthToken.objects.all():
        obj.new_field = {}
        obj.save()


class Migration(migrations.Migration):

    dependencies = [
        ("drf_authentify", "0002_alter_authtoken__context"),
    ]

    operations = [
        migrations.AddField(
            model_name="authtoken",
            name="context",
            field=models.JSONField(
                blank=True,
                default=dict,
                validators=[drf_authentify.validators.validate_dict],
            ),
        ),
        migrations.AlterField(
            model_name="authtoken",
            name="_context",
            field=models.TextField(blank=True, null=True, verbose_name="context"),
        ),
        migrations.RunPython(copy_data, reverse_copy_data),
    ]
