# Generated by Django 3.2 on 2025-05-05 08:00

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


def copy_data(apps, schema_editor):
    AuthToken = apps.get_model("drf_authentify", "AuthToken")
    for obj in AuthToken.objects.all():
        obj.auth_type = obj.auth
        obj.save()


def reverse_copy_data(apps, schema_editor):
    AuthToken = apps.get_model("drf_authentify", "AuthToken")
    for obj in AuthToken.objects.all():
        obj.auth_type = None
        obj.save()


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("drf_authentify", "0004_remove_authtoken__context"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="authtoken",
            options={"ordering": ["-created_at"], "verbose_name_plural": "Auth Tokens"},
        ),
        migrations.AddField(
            model_name="authtoken",
            name="auth_type",
            field=models.CharField(
                blank=True,
                choices=[("token", "token"), ("cookie", "cookie")],
                max_length=6,
                null=True,
            ),
        ),
        migrations.AlterField(
            model_name="authtoken",
            name="user",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="auth_tokens",
                to=settings.AUTH_USER_MODEL,
            ),
        ),
        migrations.RunPython(copy_data, reverse_copy_data),
    ]
